package com.hongyegroup.cpt_business.mvvm.vm

import androidx.lifecycle.MutableLiveData
import com.guadou.cs_cptservices.binding.BaseDataBindingAdapter
import com.guadou.lib_baselib.base.vm.BaseViewModel
import com.hongyegroup.cpt_business.BR
import com.hongyegroup.cpt_business.R

class BusinessAppointmentDateViewModel :BaseViewModel() {

    var mKeywordLiveData: MutableLiveData<String> = MutableLiveData()

    var mCurPage = 1
    private var isNeedPlaceHolder = true
    var isNeedCleanAllData = true
    var mDatas = mutableListOf<String>()
    val mAdapter by lazy { BaseDataBindingAdapter(R.layout.item_business_appointment_date, BR.item, mDatas) }

}